Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoProfileFlags

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoProfileFlags

native declaration : mono\metadata\profiler.h
enum values

Field Summary
`static int` | `MONO_PROFILE_ALLOCATIONS`
`static int` | `MONO_PROFILE_APPDOMAIN_EVENTS`
`static int` | `MONO_PROFILE_ASSEMBLY_EVENTS`
`static int` | `MONO_PROFILE_CLASS_EVENTS`
`static int` | `MONO_PROFILE_COVERAGE`
`static int` | `MONO_PROFILE_ENTER_LEAVE`
`static int` | `MONO_PROFILE_EXCEPTIONS`
`static int` | `MONO_PROFILE_GC`
`static int` | `MONO_PROFILE_INLINING`
`static int` | `MONO_PROFILE_INS_COVERAGE`
`static int` | `MONO_PROFILE_JIT_COMPILATION`
`static int` | `MONO_PROFILE_METHOD_EVENTS`
`static int` | `MONO_PROFILE_MODULE_EVENTS`
`static int` | `MONO_PROFILE_NONE`
`static int` | `MONO_PROFILE_REMOTING`
`static int` | `MONO_PROFILE_STATISTICAL`
`static int` | `MONO_PROFILE_THREADS`
`static int` | `MONO_PROFILE_TRANSITIONS`

Field Detail

### MONO_PROFILE_NONE

    static final int MONO_PROFILE_NONE

See Also:
  Constant Field Values

### MONO_PROFILE_APPDOMAIN_EVENTS

    static final int MONO_PROFILE_APPDOMAIN_EVENTS

See Also:
  Constant Field Values

### MONO_PROFILE_ASSEMBLY_EVENTS

    static final int MONO_PROFILE_ASSEMBLY_EVENTS

See Also:
  Constant Field Values

### MONO_PROFILE_MODULE_EVENTS

    static final int MONO_PROFILE_MODULE_EVENTS

See Also:
  Constant Field Values

### MONO_PROFILE_CLASS_EVENTS

    static final int MONO_PROFILE_CLASS_EVENTS

See Also:
  Constant Field Values

### MONO_PROFILE_JIT_COMPILATION

    static final int MONO_PROFILE_JIT_COMPILATION

See Also:
  Constant Field Values

### MONO_PROFILE_INLINING

    static final int MONO_PROFILE_INLINING

See Also:
  Constant Field Values

### MONO_PROFILE_EXCEPTIONS

    static final int MONO_PROFILE_EXCEPTIONS

See Also:
  Constant Field Values

### MONO_PROFILE_ALLOCATIONS

    static final int MONO_PROFILE_ALLOCATIONS

See Also:
  Constant Field Values

### MONO_PROFILE_GC

    static final int MONO_PROFILE_GC

See Also:
  Constant Field Values

### MONO_PROFILE_THREADS

    static final int MONO_PROFILE_THREADS

See Also:
  Constant Field Values

### MONO_PROFILE_REMOTING

    static final int MONO_PROFILE_REMOTING

See Also:
  Constant Field Values

### MONO_PROFILE_TRANSITIONS

    static final int MONO_PROFILE_TRANSITIONS

See Also:
  Constant Field Values

### MONO_PROFILE_ENTER_LEAVE

    static final int MONO_PROFILE_ENTER_LEAVE

See Also:
  Constant Field Values

### MONO_PROFILE_COVERAGE

    static final int MONO_PROFILE_COVERAGE

See Also:
  Constant Field Values

### MONO_PROFILE_INS_COVERAGE

    static final int MONO_PROFILE_INS_COVERAGE

See Also:
  Constant Field Values

### MONO_PROFILE_STATISTICAL

    static final int MONO_PROFILE_STATISTICAL

See Also:
  Constant Field Values

### MONO_PROFILE_METHOD_EVENTS

    static final int MONO_PROFILE_METHOD_EVENTS

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD